Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Meshes

## Compounds
struct | _Lib3dsBoxMap
struct | _Lib3dsFace
struct | _Lib3dsMapData
struct | _Lib3dsMesh
struct | _Lib3dsPoint
## Typedefs
typedef _Lib3dsPoint | Lib3dsPoint
typedef _Lib3dsFace | Lib3dsFace
typedef _Lib3dsBoxMap | Lib3dsBoxMap
typedef _Lib3dsMapData | Lib3dsMapData
typedef _Lib3dsMesh | Lib3dsMesh
## Functions
Lib3dsMesh * | lib3ds_mesh_new (const char *name)
void | lib3ds_mesh_free (Lib3dsMesh *mesh)
Lib3dsBool | lib3ds_mesh_new_point_list (Lib3dsMesh *mesh, Lib3dsDword points)
void | lib3ds_mesh_free_point_list (Lib3dsMesh *mesh)
Lib3dsBool | lib3ds_mesh_new_flag_list (Lib3dsMesh *mesh, Lib3dsDword flags)
void | lib3ds_mesh_free_flag_list (Lib3dsMesh *mesh)
Lib3dsBool | lib3ds_mesh_new_texel_list (Lib3dsMesh *mesh, Lib3dsDword texels)
void | lib3ds_mesh_free_texel_list (Lib3dsMesh *mesh)
Lib3dsBool | lib3ds_mesh_new_face_list (Lib3dsMesh *mesh, Lib3dsDword faces)
void | lib3ds_mesh_free_face_list (Lib3dsMesh *mesh)
void | lib3ds_mesh_bounding_box (Lib3dsMesh *mesh, Lib3dsVector min, Lib3dsVector max)
void | lib3ds_mesh_dump (Lib3dsMesh *mesh)
Lib3dsBool | lib3ds_mesh_read (Lib3dsMesh *mesh, Lib3dsIo *io)
Lib3dsBool | lib3ds_mesh_write (Lib3dsMesh *mesh, Lib3dsIo *io)

## Detailed Description

Author:
  J.E. Hoffmann <je-h@gmx.net>

## Typedef Documentation

Lib3dsBoxMap

| See also: _Lib3dsBoxMap

Lib3dsFace

| See also: _Lib3dsFace

Lib3dsMapData

| See also: _Lib3dsMapData

Lib3dsMesh

| See also: _Lib3dsMesh

typedef struct _Lib3dsPoint Lib3dsPoint

| Triangular mesh point

## Function Documentation

void lib3ds_mesh_bounding_box | ( | Lib3dsMesh * | mesh,
|  | Lib3dsVector | min,
|  | Lib3dsVector | max
| ) |

void lib3ds_mesh_dump | ( | Lib3dsMesh * | mesh | ) |

  | This function prints data associated with the specified mesh such as vertex and point lists. Parameters:
  mesh | Points to a mesh that you wish to view the data for.
Returns: None Warning: WIN32: Should only be used in a console window not in a GUI.

void lib3ds_mesh_free | ( | Lib3dsMesh * | mesh | ) |

void lib3ds_mesh_free_face_list | ( | Lib3dsMesh * | mesh | ) |

void lib3ds_mesh_free_flag_list | ( | Lib3dsMesh * | mesh | ) |

void lib3ds_mesh_free_point_list | ( | Lib3dsMesh * | mesh | ) |

void lib3ds_mesh_free_texel_list | ( | Lib3dsMesh * | mesh | ) |

Lib3dsMesh* lib3ds_mesh_new | ( | const char * | name | ) |

Lib3dsBool lib3ds_mesh_new_face_list | ( | Lib3dsMesh * | mesh,
|  | Lib3dsDword | faces
| ) |

Lib3dsBool lib3ds_mesh_new_flag_list | ( | Lib3dsMesh * | mesh,
|  | Lib3dsDword | flags
| ) |

Lib3dsBool lib3ds_mesh_new_point_list | ( | Lib3dsMesh * | mesh,
|  | Lib3dsDword | points
| ) |

Lib3dsBool lib3ds_mesh_new_texel_list | ( | Lib3dsMesh * | mesh,
|  | Lib3dsDword | texels
| ) |

Lib3dsBool lib3ds_mesh_read | ( | Lib3dsMesh * | mesh,
|  | Lib3dsIo * | io
| ) |

Lib3dsBool lib3ds_mesh_write | ( | Lib3dsMesh * | mesh,
|  | Lib3dsIo * | io
| ) |